#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define 	module	pyxattr
Summary:	Python 2 module for accessing Extended Attributes of the files
Summary(pl.UTF-8):	Moduł Pythona 2 pozwalający na dostęp do rozszerzonych atrybutów plików
Name:		python-%{module}
Version:	0.6.1
Release:	2
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	https://pyxattr.k1024.org/downloads/%{module}-%{version}.tar.gz
# Source0-md5:	523e9d90f9801141c785d93e6197cc33
URL:		https://pyxattr.k1024.org/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 module for accessing Extended Attributes of the files.

%description -l pl.UTF-8
Moduł Pythona 2 pozwalający na dostęp do rozszerzonych atrybutów
plików.

%package -n python3-%{module}
Summary:	Python 3 module for accessing Extended Attributes of the files
Summary(pl.UTF-8):	Moduł Pythona 3 pozwalający na dostęp do rozszerzonych atrybutów plików
Group:		Libraries/Python

%description -n python3-%{module}
Python 3 module for accessing Extended Attributes of the files.

%description -n python3-%{module} -l pl.UTF-8
Moduł Pythona 3 pozwalający na dostęp do rozszerzonych atrybutów
plików.

%prep
%setup -q -n %{module}-%{version}

%build
#CC="%{__cc}" \
#CFLAGS="%{rpmcppflags} %{rpmcflags}"
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc NEWS README.rst
%attr(755,root,root) %{py_sitedir}/xattr.so
%{py_sitedir}/pyxattr-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/xattr.cpython-*.so
%{py3_sitedir}/pyxattr-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyxattr.git;a=log;h=auto/th/python-pyxattr-0.6.1-2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9d55138
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Jan 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 506bd1c
- new URLs, updated to 0.6.1
- added python3- package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> b5dfa11
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9818815
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 425f324
- automatic change: use py_build/py_install macros

* Mon May 11 2015 Jakub Bogusz <qboosh@pld-linux.org> af7fc5e
- gpm-friendly Source0 URL

* Wed Apr 22 2015 Elan Ruusamäe <glen@delfi.ee> 0760261
- up to 0.5.0; add missing build (pass CC/CFLAGS)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> be0708c
- BR: python-devel, python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> ff8671c
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6941157
- release 3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> b5c7800
- release 2

* Fri Jan 02 2009 duddits <duddits@pld-linux.org> df8552c
- BR: python-setuptools (credit goes to Pawel Muszynski)

* Tue Dec 30 2008 areq <areq@pld-linux.org> b6ffe4b
- 0.4.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ef23db0
- release 2

* Sun Mar 02 2008 undefine <undefine@pld-linux.org> 298fcec
- up to 0.2.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fb9bf88
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bba363a
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> ee76470
- mass commit: remove obsolete BR: rpm-pythonprov

* Sun Dec 26 2004 saq <saq@pld-linux.org> f4dde25
- release 2 for rebuild with python 2.4

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 286cf09
- removed %%include /usr/lib/rpm/macros.python

